//  ....................................................................
//
//  File: Printer.h   program: Objc_HelloWorld
//
//   This INTERFACE FILE, Printer.h, DECLARES the 'Printer' class object
//  by declaring it's superclass, instance variables, and methods. This
//  process is explained below.
//
//  Every class object in an Objective C program must have an
//  interface file (foo.h) to DECLARE the class and an implementation
//  file (foo.m) to DEFINE the class.
//  ....................................................................

//  The 'superclass' is the class an object belongs to. At the top is Object,
//  the superclass from which all objects are descended. In this program,
//  Object is the superclass of Printer,  and Printer is the superclass
//  of printer.

//  Bring in the Objective C library that defines Object.
#import <objc/Object.h>

//  The Printer class is defined between @interface and @end.

//  First, declare the superclass of Printer.
@interface Printer : Object

//  Next, declare the instance variables.
//  Instance variables are declared between curly brackets {}  
//  and constitute the internal data structure of the class's
//  instance objects (in this program, printer). The only 
//  instance variable we declare is buffer, an array to
//  hold whatever strings we provide.

{
  char buffer[100];
}

//  Finally, declare the methods.
//  Methods can be compared to C functions. They enable an object to do 
//  things. There are class methods (+) and instance methods (-). 
//  In this program only instance methods (accessible to
//  printer) are declared.  Each method below is coded and commented 
//  in the file Printer.m.

- init;

- addStringValue:(const char*)astring;

- print;

- clear;


@end











